mlt_repository.[hc]:
[melted] / src / modules / vorbis / configure
index 77f3155..2f8c117 100755 (executable)
@@ -1,11 +1,16 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../producers.dat
-vorbis         libmltvorbis.so
-EOF
+       pkg-config vorbisfile 2> /dev/null
+       disable_vorbis=$?
 
+       if [ "$disable_vorbis" != "0" ]
+       then
+               echo "- ogg vorbis not found: disabling"
+               touch ../disable-vorbis
+       fi
+       exit 0
 fi